Problem with Perl after upgrade to 4.5.8-21

Discussion in 'Troubleshooting' started by Roy Boverhof, Dec 4, 2018.

  1. Roy Boverhof

    Roy Boverhof Kilo Poster

    Messages:
    41
    The main problem is that we upgraded this server with a --skip-broken-packages , everything seemd to have gone well... I get an error that should have been fixed: http://kb.cloudblue.com/en/129172 (can't create a new nameserver)

    Currently installed packaged:

    mod_perl.x86_64 1.31-17.el6.swsoft
    perl.x86_64 4:5.10.1-136.el6.parallels
    perl-Apache-Admin-Config.noarch
    perl-Apache-DBI.noarch 1.12-1 installed
    perl-Apache-Session.noarch
    perl-BSD-Resource.x86_64
    perl-Bit-Vector.x86_64 7.3-1 installed
    perl-CGI.x86_64 3.51-136.el6.parallels
    perl-Cache-Cache.noarch 1.06-2.el6 @epel
    perl-Carp-Clan.noarch 6.04-1 installed
    perl-Class-ErrorHandler.noarch
    perl-Class-Loader.noarch
    perl-Class-MethodMaker.x86_64
    perl-Compress-Raw-Bzip2.x86_64
    perl-Compress-Raw-Zlib.x86_64
    perl-Compress-Zlib.x86_64
    perl-Config-General.noarch
    perl-Convert-ASCII-Armour.noarch
    perl-Convert-ASN1.noarch
    perl-Convert-BinHex.noarch
    perl-Convert-PEM.noarch 0.07-8.el6 installed
    perl-Crypt-Blowfish.x86_64
    perl-Crypt-CBC.noarch 2.32-1 installed
    perl-Crypt-Cracklib.x86_64
    perl-Crypt-DES.x86_64 2.07-1 installed
    perl-Crypt-DES_EDE3.noarch
    perl-Crypt-DH.noarch 0.06-11.el6 installed
    perl-Crypt-DSA.noarch 1.17-10.el6 @epel
    perl-Crypt-IDEA.x86_64 1.10-5.el6 @epel
    perl-Crypt-OpenSSL-AES.x86_64
    perl-Crypt-OpenSSL-Bignum.x86_64
    perl-Crypt-OpenSSL-RSA.x86_64
    perl-Crypt-OpenSSL-Random.x86_64
    perl-Crypt-Primes.noarch
    perl-Crypt-RC4.noarch 2.02-1.el6 @epel
    perl-Crypt-RSA.noarch 1.99-2.el6 installed
    perl-Crypt-RandPasswd.noarch
    perl-Crypt-Random.noarch
    perl-Crypt-SSLeay.x86_64
    perl-DBD-MySQL.x86_64 4.013-3.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-DBD-SQLite.x86_64 1.27-3.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-DBD-mysql.x86_64 4.023-1 installed
    perl-DBI.x86_64 1.609-4.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-DBIx-Simple.noarch 1.32-3.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-Data-Buffer.noarch 0.04-8.el6 @epel
    perl-Date-Calc.noarch 6.3-3.el6 @base
    perl-Date-Manip.noarch 6.40-1 installed
    perl-Digest-BubbleBabble.noarch
    perl-Digest-HMAC.noarch 1.01-22.el6 installed
    perl-Digest-MD2.x86_64 2.03-14.el6 @epel
    perl-Digest-Perl-MD5.noarch
    perl-Digest-SHA.x86_64 1:5.47-136.el6.parallels
    perl-Digest-SHA1.x86_64 2.12-2.el6 installed
    perl-Error.noarch 1:0.17015-4.el6 installed
    perl-File-Copy-Recursive.noarch
    perl-File-Slurp.noarch 9999.19-1 installed
    perl-File-Which.noarch 1.09-2.el6 installed
    perl-FilterThird.x86_64 1.24-1.el6 installed
    perl-Geo-IP.x86_64 1.42-1 installed
    perl-GnuPG.noarch 0.19-1 installed
    perl-GnuPG-Interface.noarch
    perl-HTML-Defang.noarch 1.04-1 installed
    perl-HTML-Parser.x86_64 3.64-2.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-HTML-Tagset.noarch 3.20-4.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-HTTP-BrowserDetect.noarch
    perl-IDNA-Punycode.noarch
    perl-IO-Compress-Base.x86_64
    perl-IO-Compress-Bzip2.x86_64
    perl-IO-Compress-Zlib.x86_64
    perl-IO-Interface.x86_64
    perl-IO-Socket-SSL.noarch
    perl-IO-stringy.noarch 2.110-10.1.el6 installed
    perl-Image-Base.noarch 1.07-14.el6 installed
    perl-Image-Info.noarch 1.36-1 installed
    perl-Image-Xbm.noarch 1.08-12.el6 installed
    perl-Image-Xpm.noarch 1.09-12.el6 installed
    perl-JSON-XS.x86_64 3.01-1 installed
    perl-Jcode.noarch 2.07-1.el6 @epel
    perl-Log-Log4perl.noarch
    perl-MIME-Lite.noarch 3.029-1 installed
    perl-MIME-tools.noarch 5.427-4.el6 installed
    perl-Mail-Sendmail.noarch
    perl-MailTools.noarch 2.12-1 installed
    perl-Math-BigInt-GMP.x86_64
    perl-Math-GMP.x86_64 2.06-5.el6 @epel
    perl-Math-Pari.x86_64 2.01080605-1 installed
    perl-Mcrypt.x86_64 2.5.7.0-1.parallels
    perl-Module-Pluggable.x86_64
    perl-Net-DNS.x86_64 0.65-5.el6 @base
    perl-Net-IDN-Encode.x86_64
    perl-Net-IDN-Nameprep.noarch
    perl-Net-Ifconfig-Wrapper.noarch
    perl-Net-LibIDN.x86_64 0.12-3.el6 installed
    perl-Net-ParseWhois.noarch
    perl-Net-SMTP-SSL.noarch
    perl-Net-SNMP.noarch 5.2.0-3.1 installed
    perl-Net-SSH-Perl.noarch
    perl-Net-SSLeay.x86_64 1.78-2 installed
    perl-NetAddr-IP.x86_64 4.027-7.el6 installed
    perl-Newt.x86_64 1.08-26.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-OLE-Storage_Lite.noarch
    perl-OpenCA-OpenSSL.x86_64
    perl-OpenCA-X509.noarch 0.9.10-1 installed
    perl-Params-Validate.x86_64
    perl-Parse-RecDescent.noarch
    perl-Pod-Escapes.x86_64 1:1.04-136.el6.parallels
    perl-Pod-Simple.x86_64 1:3.13-136.el6.parallels
    perl-RPC-XML.noarch 0.77-1 installed
    perl-SOAP-Lite.noarch 0.710.10-3.el6 installed
    perl-Socket6.x86_64 0.23-4.el6 installed
    perl-Sort-Versions.noarch
    perl-Spreadsheet-ParseExcel.x86_64
    perl-Spreadsheet-WriteExcel.noarch
    perl-String-CRC32.x86_64
    perl-Text-Template.noarch
    perl-Tie-EncryptedHash.noarch
    perl-Time-HiRes.x86_64 4:1.9721-136.el6.parallels
    perl-TimeDate.noarch 1:1.16-13.el6 @base
    perl-Types-Serialiser.noarch
    perl-URI.noarch 1.40-2.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-Unicode-Map.x86_64 0.112-12.el6 @epel
    perl-Unicode-Stringprep.noarch
    perl-X500-DN.noarch 0.29-1 installed
    perl-XML-Dumper.noarch 0.81-8.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-XML-Grove.noarch 0.46alpha-40.el6
    perl-XML-LibXML.x86_64 1:1.70-5.el6 installed
    perl-XML-LibXML-Simple.noarch
    perl-XML-NamespaceSupport.noarch
    perl-XML-Parser.x86_64 2.36-7.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-XML-SAX.noarch 0.96-7.el6 installed
    perl-XML-Simple.noarch 2.18-6.el6 installed
    perl-XML-Twig.noarch 3.34-1.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-XML-Writer.noarch 0.606-6.el6 installed
    perl-common-sense.noarch
    perl-libapreq.x86_64 1.34-1 installed
    perl-libintl.x86_64 1.20-1.el6 installed
    perl-libs.x86_64 4:5.10.1-136.el6.parallels
    perl-libwww-perl.noarch 5.837-2 installed
    perl-libxml-perl.noarch 0.08-10.el6 @anaconda-CentOS-201703281317.x86_64/6.9
    perl-suidperl.x86_64 4:5.10.1-136.el6.parallels
    perl-version.x86_64 3:0.77-136.el6.parallels
    perllib.x86_64 4.5.8-21.swsoft installed


    Error when running yum update:

    Error: Package: perl-libapreq-1.34-1.x86_64 (installed)
    Requires: perl(mod_perl) >= 1.17
    Removing: mod_perl-1.31-17.el6.swsoft.x86_64 (installed)
    perl(mod_perl) = 1.31
    Updated By: mod_perl-2.0.4-12.el6_10.x86_64 (updates)
    Not found
    Error: Package: hspc-release-4.5.8-21.swsoft.x86_64 (installed)
    Requires: perl:)SWSOFT) >= 5.10.1-136
    Removing: 4:perl-5.10.1-136.el6.parallels.x86_64 (installed)
    perl:)SWSOFT)
    Updated By: 4:perl-5.10.1-144.el6.x86_64 (base)
    Not found
    Error: Package: hspc-release-4.5.8-21.swsoft.x86_64 (installed)
    Requires: mod_perl(hspcd) >= 1.31-17
    Removing: mod_perl-1.31-17.el6.swsoft.x86_64 (installed)
    mod_perl(hspcd)
    Updated By: mod_perl-2.0.4-12.el6_10.x86_64 (updates)
    Not found
    Error: Package: hspc-release-4.5.8-21.swsoft.x86_64 (installed)
    Requires: perl(JSON::XS) >= 3.0
    Removing: perl-JSON-XS-3.01-1.x86_64 (installed)
    perl(JSON::XS) = 3.01
    Updated By: 1:perl-JSON-XS-2.27-2.el6.x86_64 (epel)
    perl(JSON::XS) = 2.27
     
    Philip P likes this.
  2. dkolvakh

    dkolvakh Odin Team

    Messages:
    361
    Hello.

    The best way to resolve this problem is migration of database to a new container with fresh OBAS 4.5.8 installed on it (with exact list of plugins as on old one).
    See this article for instructions how-to-migrate https://kb.cloudblue.com/2126
     
    Philip P likes this.

Share This Page